Can update everything except jobName and importType.

If the schedule changes then the job scheduler in the backend needs to be updated as well to remove the old one and create a new one. Allowed upload types for FSS uploads are CSV, XLS, and XLSX.

PUT /schedule/{jobName}

Operation id: SchedulingService_UpdateSchedule

Tags: SchedulingService

Parameters

Path parameters

NameTypeRequiredDescription
jobNamestringYesCan not be updated. Used for searching purposes only. Required true.

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
descriptionstringNoDescription of schedule request. Required: false.
emailsarrayNoOptional - List of users to email when job is done processing. Required: false.
scheduleobjectNo
deviationinteger (int32)No
templateNamestringNoThe template name if a templated upload. Required: false.
ignoreHeaderbooleanNo
replaceExistingbooleanNo
fssIdstringNo
signedUrlstringNoA signed URL for a GCS bucket. Required: false.
sftpDetailsobjectNo
gcsDetailsobjectNoGCS Details are used for granting access to a GCS bucket for us to read the file from.
updateFieldMaskstringNoField Masks support. Required: false Allowed Paths = emails,deviation, template_name, description, ignore_header, replace_existing,schedule, and end_date. Paths deviation,schedule, and end_date can only be updated if included in the field mask path to avoid protos default reset. ignore_header and replace_existing can only reset from true to false if in field mask path to avoid default reset.
endDatestring (date-time)NoThe end date of the schedule. Must be after the start date and no more than a year after the start date. Required: false. Default Value: 1 year from start date.
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "description": {
      "type": "string",
      "description": "Description of schedule request. Required: false."
    },
    "emails": {
      "type": "array",
      "description": "Optional - List of users to email when job is done processing. Required: false.",
      "items": {
        "type": "string"
      }
    },
    "schedule": {
      "type": "object",
      "properties": {
        "type": {
          "type": "string",
          "enum": [
            "ONCE",
            "HOURLY",
            "DAILY",
            "WEEKLY",
            "MONTHLY"
          ],
          "default": "ONCE"
        },
        "date": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "deviation": {
      "type": "integer",
      "format": "int32"
    },
    "templateName": {
      "type": "string",
      "description": "The template name if a templated upload. Required: false."
    },
    "ignoreHeader": {
      "type": "boolean"
    },
    "replaceExisting": {
      "type": "boolean"
    },
    "fssId": {
      "type": "string"
    },
    "signedUrl": {
      "type": "string",
      "description": "A signed URL for a GCS bucket. Required: false."
    },
    "sftpDetails": {
      "type": "object",
      "properties": {
        "host": {
          "type": "string"
        },
        "port": {
          "type": "integer",
          "format": "int32"
        },
        "directory": {
          "type": "string"
        },
        "fileName": {
          "type": "string"
        },
        "username": {
          "type": "string"
        },
        "password": {
          "type": "string"
        },
        "sshKey": {
          "type": "string"
        }
      }
    },
    "gcsDetails": {
      "type": "object",
      "description": "GCS Details are used for granting access to a GCS bucket for us to read the file from.",
      "properties": {
        "projectId": {
          "type": "string"
        },
        "bucketName": {
          "type": "string"
        },
        "keyFile": {
          "type": "string"
        },
        "fileName": {
          "type": "string"
        }
      }
    },
    "updateFieldMask": {
      "type": "string",
      "description": "Field Masks support. Required: false\nAllowed Paths = emails,deviation, template_name, description, ignore_header, replace_existing,schedule, and end_date.\nPaths deviation,schedule, and end_date can only be updated if included in the field mask path to avoid protos default reset.\nignore_header and replace_existing can only reset from true to false if in field mask path to avoid default reset."
    },
    "endDate": {
      "type": "string",
      "format": "date-time",
      "description": "The end date of the schedule.  Must be after the start date and no more than a year after the start date.\nRequired: false.  Default Value: 1 year from start date."
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
scheduleProtoobjectNo
{
  "type": "object",
  "properties": {
    "scheduleProto": {
      "type": "object",
      "properties": {
        "tenantId": {
          "type": "string"
        },
        "jobName": {
          "type": "string"
        },
        "importType": {
          "type": "string",
          "description": "The type of data being imported.\n\n - LOCATIONS: The import file is forwarded directly to the zac-server locations API\nConstraints:\n  - template_name, deviation, and dry_run are all ignored.\n  - zac-server performs an upsert always, any errors in the file will fail the entire file",
          "enum": [
            "USERS",
            "ROLES",
            "WORKSPACES",
            "SITES",
            "DEPARTMENTS",
            "HIERARCHIES",
            "SITE_TEMPLATES",
            "PERMISSION_TEMPLATES",
            "GROUPS",
            "LOCATIONS"
          ],
          "default": "USERS"
        },
        "description": {
          "type": "string"
        },
        "emails": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "schedule": {
          "type": "object",
          "properties": {
            "type": {
              "type": "string",
              "enum": [
                "ONCE",
                "HOURLY",
                "DAILY",
                "WEEKLY",
                "MONTHLY"
              ],
              "default": "ONCE"
            },
            "date": {
              "type": "string",
              "format": "date-time"
            }
          }
        },
        "deviation": {
          "type": "integer",
          "format": "int32"
        },
        "templateName": {
          "type": "string"
        },
        "ignoreHeader": {
          "type": "boolean"
        },
        "replaceExisting": {
          "type": "boolean"
        },
        "fssId": {
          "type": "string"
        },
        "signedUrl": {
          "type": "string"
        },
        "sftpDetails": {
          "type": "object",
          "properties": {
            "host": {
              "type": "string"
            },
            "port": {
              "type": "integer",
              "format": "int32"
            },
            "directory": {
              "type": "string"
            },
            "fileName": {
              "type": "string"
            },
            "username": {
              "type": "string"
            },
            "password": {
              "type": "string"
            },
            "sshKey": {
              "type": "string"
            }
          }
        },
        "gcsDetails": {
          "type": "object",
          "description": "GCS Details are used for granting access to a GCS bucket for us to read the file from.",
          "properties": {
            "projectId": {
              "type": "string"
            },
            "bucketName": {
              "type": "string"
            },
            "keyFile": {
              "type": "string"
            },
            "fileName": {
              "type": "string"
            }
          }
        },
        "creationTime": {
          "type": "string",
          "format": "date-time"
        },
        "createdBy": {
          "type": "string"
        },
        "lastUpdatedTime": {
          "type": "string",
          "format": "date-time"
        },
        "lastUpdatedBy": {
          "type": "string"
        },
        "endDate": {
          "type": "string",
          "format": "date-time"
        },
        "status": {
          "type": "string",
          "enum": [
            "SUCCEEDED",
            "FAILED",
            "UNKNOWN"
          ],
          "default": "SUCCEEDED"
        },
        "errorMessage": {
          "type": "string"
        },
        "instanceId": {
          "type": "string"
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}